[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TTabSheet.PageControl

The TPageControl instance where the tab sheet is displayed.

## Declaration

Source position: comctrls.pp line 530

`public property TTabSheet.PageControl : TPageControl read GetPageControl write SetPageControl;`

## Description

PageControl is a TPageControl property with the parent control where this tab sheet is hosted. The property value is assigned at design-time when the 'Add Page' context option is used on the form designer in the Lazarus IDE. The value is Nil if the Parent property has not been assigned or is not derived from TPageControl.

Changing the property value causes the Parent property to be updated to reflect the new value.

## See also

TPageControl |  | Implements a multi-page component with a series of tabs.
TControl.Parent |  | The control within which the control is shown.